<?php 
// create category id and icon name map. This may be different for your website because you will have different categories, ids and images.
$cat_icon_map = array(
		'1' => 'car.png',
		'2' => 'prop.png',
		'4' => 'job.png',
		'50' => 'service.png',
		'55' => 'goods.png',
	);
	
// get current active location
$selected_location = self::$_vars['selected_location'];
	
// get all categories
$categories = Category::getAllCategoryNamesTree(Category::STATUS_ENABLED);
$return = '';
foreach($categories[0] as $cat)
{
	$img = '<img src="'.URL_ASSETS.'images/cat-icons/'.$cat_icon_map[$cat->id].'" />';
	$return .= '<a href="'.Location::url($selected_location, $cat).'">'.$img.'<span>'.View::escape(Category::getName($cat)).'</span></a>';
}

echo '<div class="cat-icons">'.$return.'</div>';
?>
<style>
.cat-icons{text-align:center;}
.cat-icons a{display:inline-block;width:150px; height:70px; text-align:center; background:#fff;text-decoration:none; padding:10px 0; margin:1px;min-width:19%;}
.cat-icons a:hover{text-decoration:underline;}
.cat-icons a img{}
.cat-icons a span{display:block; font-size:130%;}
</style>